/**
* DevExtreme (ui/slide_out_view.d.ts)
* Version: 18.1.7 (build 18332)
* Build date: Wed Nov 28 2018
*
* Copyright (c) 2012 - 2018 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxSlideOutView(): JQuery;
    dxSlideOutView(options: "instance"): DevExpress.ui.dxSlideOutView;
    dxSlideOutView(options: string): any;
    dxSlideOutView(options: string, ...params: any[]): any;
    dxSlideOutView(options: DevExpress.ui.dxSlideOutViewOptions): JQuery;
}
}
export default DevExpress.ui.dxSlideOutView;
export type IOptions = DevExpress.ui.dxSlideOutViewOptions;